Package org.codehaus.groovy.runtime

# Class ProcessGroovyMethods.ProcessRunner

java.lang.Object
org.codehaus.groovy.runtime.ProcessGroovyMethods.ProcessRunner

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `ProcessGroovyMethods`

protected static class ProcessGroovyMethods.ProcessRunner extends Object implements Runnable
A Runnable which waits for a process to complete together with a notification scheme allowing another thread to wait a maximum number of seconds for the process to complete before killing it.

Since:
  1.0

## Constructor Summary

Constructors
Constructor
Description
`ProcessRunner(Process process)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
`void`
`waitForOrKill(long millis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProcessRunner

public ProcessRunner(Process process)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### waitForOrKill

public void waitForOrKill(long millis)